<!DOCTYPE html>
<html lang='en'>
<head>
<meta charset='utf-8' />
<title>Benchmarks.EventApplicationMechanismsComparison-20210313-214056</title>

<style type="text/css">
	table { border-collapse: collapse; display: block; width: 100%; overflow: auto; }
	td, th { padding: 6px 13px; border: 1px solid #ddd; text-align: right; }
	tr { background-color: #fff; border-top: 1px solid #ccc; }
	tr:nth-child(even) { background: #f8f8f8; }
</style>
</head>
<body>
<pre><code>
BenchmarkDotNet=v0.12.1, OS=Windows 10.0.18363.1440 (1909/November2018Update/19H2)
Intel Core i7-7700HQ CPU 2.80GHz (Kaby Lake), 1 CPU, 8 logical and 4 physical cores
.NET Core SDK=5.0.101
  [Host]     : .NET Core 5.0.1 (CoreCLR 5.0.120.57516, CoreFX 5.0.120.57516), X64 RyuJIT
  ColdStart  : .NET Core 5.0.1 (CoreCLR 5.0.120.57516, CoreFX 5.0.120.57516), X64 RyuJIT
  Throughput : .NET Core 5.0.1 (CoreCLR 5.0.120.57516, CoreFX 5.0.120.57516), X64 RyuJIT
</code></pre>
<pre><code>Runtime=.NET Core 5.0  
</code></pre>

<table>
<thead><tr><th>                 Method</th><th> Job</th><th>RunStrategy</th><th>UnrollFactor</th><th>  Mean</th><th>    Error</th><th>   StdDev</th><th>Median</th><th>Gen 0</th><th>Gen 1</th><th>Gen 2</th><th>Allocated</th>
</tr>
</thead><tbody><tr><td>Switch</td><td>ColdStart</td><td>ColdStart</td><td>1</td><td>38,947.0 ns</td><td>92,813.92 ns</td><td>273,663.95 ns</td><td>10,750.0 ns</td><td>-</td><td>-</td><td>-</td><td>424 B</td>
</tr><tr><td>Dynamic</td><td>ColdStart</td><td>ColdStart</td><td>1</td><td>691,845.0 ns</td><td>2,288,192.82 ns</td><td>6,746,788.15 ns</td><td>15,200.0 ns</td><td>-</td><td>-</td><td>-</td><td>424 B</td>
</tr><tr><td>RuntimeReflection</td><td>ColdStart</td><td>ColdStart</td><td>1</td><td>47,532.0 ns</td><td>83,114.77 ns</td><td>245,065.76 ns</td><td>19,550.0 ns</td><td>-</td><td>-</td><td>-</td><td>4984 B</td>
</tr><tr><td>ReflectionWithPreRegistration</td><td>ColdStart</td><td>ColdStart</td><td>1</td><td>32,381.0 ns</td><td>71,002.46 ns</td><td>209,352.36 ns</td><td>8,500.0 ns</td><td>-</td><td>-</td><td>-</td><td>808 B</td>
</tr><tr><td>Switch</td><td>Throughput</td><td>Throughput</td><td>16</td><td>395.4 ns</td><td>4.32 ns</td><td>3.37 ns</td><td>394.5 ns</td><td>0.1349</td><td>-</td><td>-</td><td>424 B</td>
</tr><tr><td>Dynamic</td><td>Throughput</td><td>Throughput</td><td>16</td><td>720.9 ns</td><td>14.35 ns</td><td>22.34 ns</td><td>733.1 ns</td><td>0.1345</td><td>-</td><td>-</td><td>424 B</td>
</tr><tr><td>RuntimeReflection</td><td>Throughput</td><td>Throughput</td><td>16</td><td>5,387.6 ns</td><td>28.34 ns</td><td>26.51 ns</td><td>5,388.5 ns</td><td>1.5869</td><td>-</td><td>-</td><td>4984 B</td>
</tr><tr><td>ReflectionWithPreRegistration</td><td>Throughput</td><td>Throughput</td><td>16</td><td>1,447.6 ns</td><td>9.36 ns</td><td>8.75 ns</td><td>1,448.3 ns</td><td>0.2575</td><td>-</td><td>-</td><td>808 B</td>
</tr></tbody></table>
</body>
</html>
